Summary
Get Details of a Workflow
Description
Get the details of a Workflow by Workflow name.
Route
GET /workflow_engine/workflows/detailed/:name
Roles
admin
engineering
support
apiread
Parameters
DetailsExampleSchema
| Name |
Type |
Required |
Description |
| name |
string |
yes |
Name of Workflow to get Workflow details. |
Copied to Clipboard
{
"type": "object",
"properties": {},
"required": [],
"additionalProperties": false
}
Return
DetailsExampleSchema
| Name |
Type |
Description |
| workflow_details |
object |
Workflow details matching the Workflow name. |
Copied to Clipboard
{
"name": "My Workflow",
"type": "automation",
"tasks": {
"workflow_start": {
"name": "workflow_start",
"summary": "workflow_start",
"groups": [],
"x": 0.36142061281337046,
"y": 0.502092050209205
},
"workflow_end": {
"name": "workflow_end",
"summary": "workflow_end",
"groups": [],
"x": 0.36142061281337046,
"y": 0.502092050209205
},
"error_handler": {
"name": "childJob",
"summary": "laboris ipsum aliquip et",
"description": "minim fugiat aute nisi velit",
"app": "cupidatat",
"variables": {
"error": ""
},
"groups": [
"7308130302b896e3eb2a4196",
"9b12a8508801efecf5a4769d",
"75e3941c18106ce6634daf2c",
"4cd653884ee701c39e94acca"
],
"x": 0.36142061281337046,
"y": 0.502092050209205,
"type": "operation",
"deprecated": true,
"scheduled": false,
"retrySettings": {
"state": [
"success",
"success"
],
"autoRetry": false,
"limit": 10,
"delay": 2000,
"count": 5
}
}
},
"transitions": {},
"groups": [
"6ea13b8ca56cc9f537323907",
"690cd17d6efac6f293f236bc",
"5f0c3fa9e8e9d88428c9933a",
"3a31dd55107c867496066b79"
],
"_id": "5cb7b531d06cceb89fd21b1c",
"description": "aute deserunt qui dolore",
"preAutomationTime": 5000,
"font_size": 12,
"created": "2000-08-07T12:26:05.374Z",
"created_by": "cf936f82132e7e905100fcc7",
"last_updated": "2008-04-13T20:46:56.739Z",
"last_updated_by": "08fa36a1a9aa7aa8ad2ffc56",
"lastUpdatedVersion": "ullamco eu",
"tags": [],
"canvasVersion": 2
}